import { jsx } from "react/jsx-runtime";
import { PipeIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Pipe = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Pipe", ...props, children: /* @__PURE__ */ jsx(PipeIcon, { weight: variant }) });
  }
);
Pipe.displayName = "Pipe";
Object.assign(Pipe, { isGdsIcon: true });
export {
  Pipe
};
